package EntryIDViewer::CMS;
use strict;

sub add_entry_id {
    my ($cb, $app, $template) = @_;
    return if !$app->param('blog_id');

    my $plugin = MT->component("EntryIDViewer");
    my $enable = $plugin->get_config_value('enable_thisblog', 'blog:'.$app->blog->id);
    return unless $enable;

    my $old = <<HERE;
<mt:include name="include/header.tmpl" id="header_include">
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
<mt:include name="include/header.tmpl" id="header_include" entry_id="\$id">
HERE
    $$template =~ s/$old/$new/;
}

sub display_entry_id {
    my ($cb, $app, $template) = @_;
    return if !$app->param('blog_id');

    my $plugin = MT->component("EntryIDViewer");
    my $enable = $plugin->get_config_value('enable_thisblog', 'blog:'.$app->blog->id);
    return unless $enable;

    my $q = $app->param;
    return if !$q->param('blog_id');
    return if !((($q->param('_type') eq 'entry')||($q->param('_type') eq 'page')) && ($q->param('__mode') eq 'view'));
    my $old = <<HERE;
        <h1 id="page-title" class="title page">
          <mt:var name="page_title"><mt:if name="loaded_revision">: <em><__trans phrase="from Revision History"></em></mt:if>
        </h1>
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
        <h1 id="page-title" class="title page">
          <mt:var name="page_title"><mt:if name="loaded_revision">: <em><__trans phrase="from Revision History"></em></mt:if> <mt:unless name="new_object">ID:<mt:var name="entry_id"></mt:unless>
        </h1>
HERE
    $$template =~ s/$old/$new/;
}

1;
